powerpc/perf: Cap 64bit userspace backtraces to PERF_MAX_STACK_DEPTH

Bug #1442180 reported by bugproxy on 2015-04-09
264
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Critical
Leann Ogasawara
Trusty
Critical
Luis Henriques
Utopic
Critical
Luis Henriques
Vivid
Critical
Leann Ogasawara
linux-lts-utopic (Ubuntu)
Undecided
Unassigned
Trusty
Critical
Luis Henriques
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

Cap 64bit userspace backtraces to PERF_MAX_STACK_DEPTH

We cap 32bit userspace backtraces to PERF_MAX_STACK_DEPTH
(currently 127), but we forgot to do the same for 64bit backtraces.

If userspace creates a stack frame that points to itself we will
loop forever in the backtrace code with interrupts off.

bugproxy (bugproxy) on 2015-04-09
tags: added: architecture-ppc64le bugnameltc-123761 severity-critical targetmilestone-inin1504
Luciano Chavez (lnx1138) on 2015-04-09
affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: nobody → Taco Screen team (taco-screen-team)
status: New → Confirmed
information type: Public → Private Security
Changed in linux (Ubuntu):
assignee: Taco Screen team (taco-screen-team) → Leann Ogasawara (leannogasawara)
importance: Undecided → Critical
status: Confirmed → In Progress
Luis Henriques (henrix) on 2015-04-10
Changed in linux (Ubuntu Utopic):
assignee: nobody → Luis Henriques (henrix)
status: New → In Progress
importance: Undecided → Critical
Adam Conrad (adconrad) on 2015-04-10
Changed in linux-lts-utopic (Ubuntu Utopic):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Vivid):
status: New → Invalid
Changed in linux (Ubuntu Trusty):
status: New → In Progress
Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → In Progress
assignee: nobody → Luís Henriques (henrix)
Changed in linux (Ubuntu Trusty):
assignee: nobody → Luís Henriques (henrix)
importance: Undecided → Critical
Changed in linux-lts-utopic (Ubuntu Trusty):
importance: Undecided → Critical
Adam Conrad (adconrad) on 2015-04-13
information type: Private Security → Public Security
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.13.0-49.83

---------------
linux (3.13.0-49.83) trusty; urgency=low

  [ Upstream Kernel Changes ]

  * powerpc/perf: Cap 64bit userspace backtraces to PERF_MAX_STACK_DEPTH
    - LP: #1442180
 -- Luis Henriques <email address hidden> Fri, 10 Apr 2015 18:46:02 +0100

Changed in linux (Ubuntu Trusty):
status: In Progress → Fix Released
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.16.0-34.47

---------------
linux (3.16.0-34.47) utopic; urgency=low

  [ Upstream Kernel Changes ]

  * powerpc/perf: Cap 64bit userspace backtraces to PERF_MAX_STACK_DEPTH
    - LP: #1442180
 -- Luis Henriques <email address hidden> Fri, 10 Apr 2015 16:39:29 +0100

Changed in linux (Ubuntu Utopic):
status: In Progress → Fix Released
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-utopic - 3.16.0-34.47~14.04.1

---------------
linux-lts-utopic (3.16.0-34.47~14.04.1) trusty; urgency=low

  [ Upstream Kernel Changes ]

  * powerpc/perf: Cap 64bit userspace backtraces to PERF_MAX_STACK_DEPTH
    - LP: #1442180
 -- Luis Henriques <email address hidden> Fri, 10 Apr 2015 17:39:49 +0100

Changed in linux-lts-utopic (Ubuntu Trusty):
status: In Progress → Fix Released
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.19.0-14.14

---------------
linux (3.19.0-14.14) vivid; urgency=low

  [ Upstream Kernel Changes ]

  * powerpc: fix memory corruption by pnv_alloc_idle_core_states
    - LP: #1442678
  * nvme: Fix PRP list calculation for non-4k system page size
    - LP: #1442186
  * powerpc/perf: Cap 64bit userspace backtraces to PERF_MAX_STACK_DEPTH
    - LP: #1442180
 -- Leann Ogasawara <email address hidden> Fri, 10 Apr 2015 11:40:37 -0700

Changed in linux (Ubuntu Vivid):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers